​
Select Service
ves-io-schema-api_group-API-Get
Published April 5, 2023 | Last modified September 10, 2026
Examples of getting api_group
Usecase:
Get api_group ves-io-proxy-read-apis from ves.io/shared
Request using vesctl:
vesctl configuration get api_group ves-io-proxy-read-apis --namespace ves-io-shared
vesctl yaml response:
deletedReferredObjects: []disabledReferredObjects: []metadata: annotations: {} labels: {} name: ves-io-proxy-read-apis namespace: sharedreferringObjects: []resourceVersion: "159"spec: elementSpecs: [] elements: - kind: api_group_element name: ves-io-public-advertise-policys-read-api namespace: shared tenant: ves-io uid: 7ca18949-3821-40ae-a41f-4223ee1cb993 - kind: api_group_element name: ves-io-public-virtual-host-read-api namespace: shared tenant: ves-io uid: fb49e3c4-5a0e-41ef-9211-b865cfbc2268status: []systemMetadata: creationTimestamp: "2026-06-19T22:02:20.174204Z" creatorClass: examplesvc creatorId: examplesvc finalizers: [] labels: {} tenant: ves-io uid: 2e2a2651-f2e9-444e-9aee-f5f38567943aRequest using curl:
curl -X 'GET' -H 'X-Volterra-Useragent: v1/pgm=_var_folders_q2_3kp8z3zs0x5_m7pk1bgb0_ph0000gp_T_go-build1655461974_b001_apidocs.test/host=MTY6VVHQPH/svc=S:examplesvc/site=mytestce01' 'https://acmecorp.console.ves.volterra.io/api/web/namespaces/ves-io-shared/api_groups/ves-io-proxy-read-apis?response_format=0'curl response:
HTTP/1.1 200 OKContent-Length: 1272Content-Type: application/jsonDate: Fri, 19 Jun 2026 22:02:20 GMTVary: Accept-Encoding
{ "resource_version": "159", "metadata": { "name": "ves-io-proxy-read-apis", "namespace": "shared", "labels": { }, "annotations": { }, "description": "", "disable": false }, "system_metadata": { "uid": "2e2a2651-f2e9-444e-9aee-f5f38567943a", "creation_timestamp": "2026-06-19T22:02:20.174204Z", "deletion_timestamp": null, "modification_timestamp": null, "initializers": null, "finalizers": [ ], "tenant": "ves-io", "creator_class": "examplesvc", "creator_id": "examplesvc", "object_index": 0, "owner_view": null, "labels": { } }, "spec": { "elements": [ { "kind": "api_group_element", "uid": "7ca18949-3821-40ae-a41f-4223ee1cb993", "tenant": "ves-io", "namespace": "shared", "name": "ves-io-public-advertise-policys-read-api" }, { "kind": "api_group_element", "uid": "fb49e3c4-5a0e-41ef-9211-b865cfbc2268", "tenant": "ves-io", "namespace": "shared", "name": "ves-io-public-virtual-host-read-api" } ], "element_specs": [ ] }, "status": [ ], "referring_objects": [ ], "deleted_referred_objects": [ ], "disabled_referred_objects": [ ]}